﻿using System;
using System.Drawing;
using System.Windows.Forms;

public class Form1 : System.Windows.Forms.Form
{ public const Int32 nCheckBoxes = 12, nTrackBars = 6;
  public CheckBox[] checkbox = new CheckBox[nCheckBoxes];
  public TrackBar[] trackbar = new TrackBar[nTrackBars];
  Label   [] label    = new Label[nTrackBars];

  public Form1()
  { BackColor  = Color.White;
    Text       = "GamePad Buttons";
    Int32 i;
    for ( i=0; i < nCheckBoxes; i++ )
    { checkbox[i] = new CheckBox(); Controls.Add( checkbox[i] );
      checkbox[i].TextAlign = ContentAlignment.MiddleCenter;
    }
    checkbox[ 0].Text = "1";
    checkbox[ 1].Text = "2";
    checkbox[ 2].Text = "3";
    checkbox[ 3].Text = "4";
    checkbox[ 4].Text = "5";
    checkbox[ 5].Text = "6";
    checkbox[ 6].Text = "7";
    checkbox[ 7].Text = "8";
    checkbox[ 8].Text = "Down";
    checkbox[ 9].Text = "Up";
    checkbox[10].Text = "Left";
    checkbox[11].Text = "Right";
    for ( i=0; i < nTrackBars; i++ )
    { trackbar[i] = new TrackBar(); Controls.Add( trackbar[i] );
      label   [i] = new Label();    Controls.Add( label[i] );
      trackbar[i].AutoSize = false;
      trackbar[i].TickStyle = TickStyle.None;
      trackbar[i].Minimum =   0;
      trackbar[i].Maximum = 100;
      label   [i].TextAlign = ContentAlignment.TopCenter;
    }
    label[0].Text = "X-Axis 1";
    label[1].Text = "Y-Axis 1";
    label[2].Text = "X-Axis 2";
    label[3].Text = "Y-Axis 2";
    label[4].Text = "X-Axis 3";
    label[5].Text = "Y-Axis 3";
    foreach ( Control c in Controls ) c.BackColor = Color.Gray;
    StartPosition = FormStartPosition.Manual;
  }
  protected override void OnResize( EventArgs e )
  { Int32 w = ClientRectangle.Width;
    Int32 h = ClientRectangle.Height / Controls.Count;
    Int32 i, top = 1;
    for ( i=0; i < Controls.Count; i++ )
    { Controls[i].Top    = top;
      Controls[i].Left   = 2;
      Controls[i].Width  = w;
      Controls[i].Height = h - 2;
      top += h;
    }
    for ( i=0; i < nTrackBars; i++ ) trackbar[i].Height = h;
  }
}